# Class CodeExecutionUtils.CodeExecutionInput

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.codeexecutors.CodeExecutionUtils.CodeExecutionInput

Enclosing class:
  `CodeExecutionUtils`

public abstract static class CodeExecutionUtils.CodeExecutionInput extends JsonBaseModel
A structure that contains the input of code execution.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CodeExecutionUtils.CodeExecutionInput.Builder`
  Builder for `CodeExecutionUtils.CodeExecutionInput`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeExecutionInput()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CodeExecutionUtils.CodeExecutionInput.Builder`
  `builder()`
  `abstract String`
  `code()`
  The code to execute.
  `abstract Optional<String>`
  `executionId()`
  The execution ID for the stateful code execution.
  `abstract com.google.common.collect.ImmutableList<CodeExecutionUtils.File>`
  `inputFiles()`
  The input files available to the code.

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CodeExecutionInput

    public CodeExecutionInput()

- ## Method Details

  - ### code

    public abstract String code()
    The code to execute.

  - ### inputFiles

    public abstract com.google.common.collect.ImmutableList<CodeExecutionUtils.File> inputFiles()
    The input files available to the code.

  - ### executionId

    public abstract Optional<String> executionId()
    The execution ID for the stateful code execution.

  - ### builder

    public static CodeExecutionUtils.CodeExecutionInput.Builder builder()